> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Session Status



## OpenAPI

````yaml api-reference/kyc/openapi.json GET /kyc/entitylocker-sdk/sessions/{session_id}/status
openapi: 3.1.0
info:
  title: in-co-sandbox-kyc
  description: ''
  version: 1.0.0
servers:
  - url: https://test-api.sandbox.co.in
    description: test
  - url: https://api.sandbox.co.in
    description: prod
security: []
tags:
  - name: kyc
  - name: digilocker-sdk
  - name: digilocker
  - name: aadhaar
  - name: bank
  - name: pan
  - name: mca
  - name: entitylocker
  - name: entitylocker-sdk
paths:
  /kyc/entitylocker-sdk/sessions/{session_id}/status:
    get:
      tags:
        - kyc
        - entitylocker-sdk
      summary: Session Status
      operationId: getSessionStatus
      parameters:
        - name: session_id
          in: path
          description: >-
            Session identifier generated during EntityLocker SDK [Create Session
            API](https://developer.sandbox.co.in/api-reference/kyc/entitylocker-sdk/endpoints/create_session)
            .
          required: true
          example: 5ed01344-d9b2-4b44-b0c7-e2901c834999
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            JWT access token. For token-generation steps, refer to the
            [Quickstart
            Guide](https://developer.sandbox.co.in/guides/get-started/quickstart).
          required: true
          example: '{{access_token}}'
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key used to identify and authenticate the client.
          required: true
          example: '{{api_key}}'
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    description: HTTP status code.
                  timestamp:
                    type: integer
                    description: >-
                      Unix timestamp (in milliseconds) indicating when the
                      server generated the response.
                  data:
                    type: object
                    properties:
                      '@entity':
                        type: string
                        const: in.co.sandbox.kyc.entitylocker.sdk.session
                      id:
                        type: string
                        description: Unique identifier for the session.
                      status:
                        type: string
                        description: >-
                          The current status of the session. It reflects the
                          state or condition of the consent.
                      documents_consented:
                        type: array
                        description: >-
                          Lists the types of documents included in the user's
                          consent. It is present only when the consent `status`
                          is 'succeeded'.
                        items:
                          type: string
                          enum:
                            - company_master_details
                            - gstn_details
                            - udhyam_certificate
                      created_at:
                        type: integer
                        description: >-
                          Unix timestamp (in milliseconds) indicating when the
                          entity was created.
                      updated_at:
                        type: integer
                        description: >-
                          Unix timestamp (in milliseconds) indicating when the
                          entity was last updated.
                    required:
                      - '@entity'
                      - id
                      - status
                      - created_at
                    if:
                      properties:
                        status:
                          const: succeeded
                      required:
                        - status
                    then:
                      properties:
                        documents_consented:
                          type: string
                      required:
                        - documents_consented
                  transaction_id:
                    type: string
                    description: Unique identifier for tracking the request across systems.
                required:
                  - code
                  - timestamp
                  - data
                  - transaction_id
              examples:
                200 - Session Created:
                  summary: 200 - Session Created
                  value:
                    code: 200
                    timestamp: 1752580258171
                    data:
                      id: 839fd8a0-d645-42e1-a904-bb43353b0139
                      created_at: 1752579445983
                      '@entity': in.co.sandbox.kyc.entitylocker.sdk.session
                      status: created
                    transaction_id: 800ff751-2191-4b7d-b20a-8301790a3e19
          headers: {}
        '503':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              examples:
                503 - Source unavailable:
                  summary: 503 - Source unavailable
                  value:
                    code: 503
                    timestamp: 1000000000000
                    transaction_id: 6c05f692-c32f-4de0-92b4-56684bdf16f0
                    message: Source Unavailable
          headers: {}
        '521':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  message:
                    type: string
                  transaction_id:
                    type: string
                required:
                  - code
                  - timestamp
                  - message
                  - transaction_id
              examples:
                521 - Data Not Found:
                  summary: 521 - Data Not Found
                  value:
                    code: 521
                    timestamp: 1782806266274
                    message: 'Data not found for: 55470e27-3d8a-451f-ac1e-9c0f3d1454821'
                    transaction_id: a599615c-c732-4538-9840-4bb5cd3c19d2
          headers: {}
      deprecated: false
      security: []

````